mkswap01_sh from commands test suite in LTP failed

Bug #1830584 reported by Po-Hsu Lin on 2019-05-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Po-Hsu Lin
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Test failed with file check timeout:
mkswap01 8 TBROK: "check_for_file /dev/disk/by-uuid/c8c72a79-8639-406d-87ab-82ffec53b68a" timed out

<<<test_start>>>
tag=mkswap01_sh stime=1558936352
cmdline="mkswap01.sh"
contacts=""
analysis=exit
<<<test_output>>>
incrementing stop
mkswap01 1 TINFO: timeout per run is 0h 5m 0s
tst_device.c:231: INFO: Using test device LTP_DEV='/dev/loop3'
mkswap01 1 TPASS: 'mkswap /dev/loop3 ' passed.
mkswap01 2 TPASS: 'mkswap /dev/loop3 262140' passed.
mkswap01 3 TINFO: Can not do swapon on /dev/loop3.
mkswap01 3 TINFO: Device size specified by 'mkswap' greater than real size.
mkswap01 3 TINFO: Swapon failed expectedly.
mkswap01 3 TPASS: 'mkswap -f /dev/loop3 262148' passed.
mkswap01 4 TPASS: 'mkswap -c /dev/loop3 ' passed.
mkswap01 5 TINFO: Can not do swapon on /dev/loop3.
mkswap01 5 TINFO: Page size specified by 'mkswap -p' is not equal to system's page size.
mkswap01 5 TINFO: Swapon failed expectedly.
mkswap01 5 TPASS: 'mkswap -p 2048 /dev/loop3 ' passed.
mkswap01 6 TPASS: 'mkswap -L ltp_testswap /dev/loop3 ' passed.
mkswap01 7 TPASS: 'mkswap -v1 /dev/loop3 ' passed.
mkswap01 8 TBROK: "check_for_file /dev/disk/by-uuid/c8c72a79-8639-406d-87ab-82ffec53b68a" timed out
mkswap01 8 TINFO: AppArmor enabled, this may affect test results
mkswap01 8 TINFO: You can try to disable it with TST_DISABLE_APPARMOR=1 (requires super/root)
mkswap01 8 TINFO: loaded AppArmor profiles: none

Summary:
passed 7
failed 0
skipped 0
warnings 0

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: linux-image-5.0.0-15-generic 5.0.0-15.16
ProcVersionSignature: User Name 5.0.0-15.16-generic 5.0.6
Uname: Linux 5.0.0-15-generic x86_64
AlsaDevices:
 total 0
 crw-rw---- 1 root audio 116, 1 May 27 05:39 seq
 crw-rw---- 1 root audio 116, 33 May 27 05:39 timer
AplayDevices: Error: [Errno 2] No such file or directory: 'aplay': 'aplay'
ApportVersion: 2.20.10-0ubuntu27
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord': 'arecord'
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
Date: Mon May 27 05:53:16 2019
IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig': 'iwconfig'
MachineType: HP ProLiant DL360 Gen9
PciMultimedia:

ProcFB: 0 mgadrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-15-generic root=UUID=6422cfdd-2a69-4c0b-9784-6809a77ab980 ro
RelatedPackageVersions:
 linux-restricted-modules-5.0.0-15-generic N/A
 linux-backports-modules-5.0.0-15-generic N/A
 linux-firmware 1.178.1
RfKill: Error: [Errno 2] No such file or directory: 'rfkill': 'rfkill'
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/25/2017
dmi.bios.vendor: HP
dmi.bios.version: P89
dmi.board.name: ProLiant DL360 Gen9
dmi.board.vendor: HP
dmi.chassis.type: 23
dmi.chassis.vendor: HP
dmi.modalias: dmi:bvnHP:bvrP89:bd04/25/2017:svnHP:pnProLiantDL360Gen9:pvr:rvnHP:rnProLiantDL360Gen9:rvr:cvnHP:ct23:cvr:
dmi.product.family: ProLiant
dmi.product.name: ProLiant DL360 Gen9
dmi.product.sku: 780020-S01
dmi.sys.vendor: HP

Po-Hsu Lin (cypressyew) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Po-Hsu Lin (cypressyew) wrote :

Tested with Apparmor removed, this issue will gone.

mkswap01 1 TINFO: timeout per run is 0h 5m 0s
tst_device.c:231: INFO: Using test device LTP_DEV='/dev/loop0'
mkswap01 1 TPASS: 'mkswap /dev/loop0 ' passed.
mkswap01 2 TPASS: 'mkswap /dev/loop0 262140' passed.
mkswap01 3 TINFO: Can not do swapon on /dev/loop0.
mkswap01 3 TINFO: Device size specified by 'mkswap' greater than real size.
mkswap01 3 TINFO: Swapon failed expectedly.
mkswap01 3 TPASS: 'mkswap -f /dev/loop0 262148' passed.
mkswap01 4 TPASS: 'mkswap -c /dev/loop0 ' passed.
mkswap01 5 TINFO: Can not do swapon on /dev/loop0.
mkswap01 5 TINFO: Page size specified by 'mkswap -p' is not equal to system's page size.
mkswap01 5 TINFO: Swapon failed expectedly.
mkswap01 5 TPASS: 'mkswap -p 2048 /dev/loop0 ' passed.
mkswap01 6 TPASS: 'mkswap -L ltp_testswap /dev/loop0 ' passed.
mkswap01 7 TPASS: 'mkswap -v1 /dev/loop0 ' passed.
mkswap01 8 TPASS: 'mkswap -U 8ae72224-45b9-484c-999a-72a9e9a2a803 /dev/loop0 ' passed.
mkswap01 9 TPASS: 'mkswap -V /dev/loop0 ' passed.
mkswap01 10 TPASS: 'mkswap -h /dev/loop0 ' passed.

As we have apparmor enabled by default, this can be ignored.

However we will need to figure out how to do this from the test suite.

Po-Hsu Lin (cypressyew) on 2019-06-14
tags: added: ubunut-ltp
Po-Hsu Lin (cypressyew) on 2019-06-24
tags: added: linux-kvm sru-20190603 ubuntu-ltp
tags: removed: ubunut-ltp
Po-Hsu Lin (cypressyew) on 2019-06-25
Changed in ubuntu-kernel-tests:
assignee: nobody → Po-Hsu Lin (cypressyew)
status: New → In Progress
Po-Hsu Lin (cypressyew) on 2019-06-27
Changed in ubuntu-kernel-tests:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers